## sugar-0.104 0.104.1

=== debian/changelog ===
sugar-0.104 (0.104.1-9) unstable; urgency=medium

  * Update package relations:
    + Have sucrose-* recommend suggestions of python-sugar3.
    + Have sugar-session-* recommend mobile-broadband-provider-info.
    + Fix avoid sucrose-* depend on non-Sucrose helper packages already
      recommended by other Sucrose packages (as intended in 0.104.1-5).
    + Fix have python-jarabe-* recommend gconf2.
    + Fix stop have sucrose-* recommend subversion: Unused in
      sugar-toolkit* since ~2008.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Apr 2015 20:44:27 +0200

sugar-0.104 (0.104.1-8) unstable; urgency=medium

  * Update package relations:
    + Have sugar-session-* recommend (and sucrose-* depend on)
      sugar-*-themes (not sugar-artwork-*).
    + Have sucrose-* recommend deprecated gtk2-engines-sugar-*.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Apr 2015 12:33:25 +0200

sugar-0.104 (0.104.1-7) experimental; urgency=medium

  * Update package relations:
    + Have sucrose-* recommend deprecated Glucose parts
      python-sugar-toolkit-* python-sugar-*, with non-branch fallbacks.
  * Move packaging to Debian Sugar Team.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Apr 2015 17:46:51 +0200

sugar-0.104 (0.104.1-6) experimental; urgency=medium

  * Tighten relation with Browse and Chat activities: Now working with
    0.104 branch.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Apr 2015 03:10:36 +0200

sugar-0.104 (0.104.1-5) experimental; urgency=medium

  * Update package relations:
    + Fix have only python-jarabe-* (not also sugar-session-*) recommend
      python-carquinyol-*.
    + Relax sucrose-* to recommend (not depend on) non-Sucrose helper
      packages.
    + Have sucrose-* recommend olpc-powerd.
  * Mark sucrose-* as metapackage.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Apr 2015 10:04:45 +0200

sugar-0.104 (0.104.1-4) experimental; urgency=medium

  * Drop binary package sugar-tools-*: Merge with sugar-session-*.
  * Update package relations:
    + Fix have sugar-session-* provide virtual sugar-session (broken
      since 0.90.2-2).
    + Fix stop depend on gstreamer0.10-espeak: moved to python-sugar3.
    + Fix stop have sugar-session-* depend on gir1.2-wnck-3.0
      gir1.2-sugarext-1.0 gir1.2-gstreamer-1.0: All uses moved to
      python-jarabe-*.
    + Fix relax sugar-session-* to recommend (not depend on)
      python-carquinyol-*: Bogusly changed in fix for bug#678720.
    + Fix python-jarabe-* to recommend x11-dbus.
    + Fix stop have sugar-session-* recommend openssh-client: ssh-keygen
      invoked only in python-jarabe-* since 0.96.
    + Fix have python-jarabe-* (not sugar-session-*) recommend
      consolekit.
    + Fix have sugar-session-* (not python-jarabe-*) suggest
      olpc-powerd.
    + Relax to depend unversioned on python-telepathy: Needed version
      satisfied even in oldstable.
    + Relax sugar-session-* to recommend (not depend on) x11-dbus, and
      have sucrose-* depend on it.
    + Have python-jarabe-* recommend (and sucrose-* depend on) systemd
      as fallback for consolekit.
    + Stop recommend alsa-utils: Audio handling moved to python-sugar3.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 08 Apr 2015 01:50:50 +0200

sugar-0.104 (0.104.1-3) experimental; urgency=medium

  * Update package relations:
    + Fix relax to only suggest Maliit keyboard: Not yet mature.
    + Fix stop depend on python-simplejson: Unused since sugar-0.100.
    + Fix have python-jarabe-* depend on gir1.2-soup-2.4.
    + Fix depend on python-gwebsockets.
    + Fix have python-jarabe-* depend only on gir1.2-webkit-3.0 (not
      gir1.2-webkit2-*).
    Thanks to Sebastian Silva.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Apr 2015 15:35:09 +0200

sugar-0.104 (0.104.1-2) experimental; urgency=medium

  * Fix install GConf→GSettings schemas.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Apr 2015 10:39:04 +0200

sugar-0.104 (0.104.1-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Bump major version in source and binary package names.
  * Update package relations:
    + Have sugar-session-* depend on gir1.2-networkmanager-1.0 and
      gir1.2-nmgtk-1.0.
    + Have python-jarabe-* depend on and recommend gir1.2-webkit2-3.0 or
      gir1.2-webkit2-4.0, and recommend (but not depend on)
      gir1.2-webkit-3.0 as fallback.
  * Update copyright info:
    + Extend coverage for upstream authors and autotools.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Apr 2015 03:32:58 +0200

sugar-0.100 (0.100.1-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Bump major version in source and binary package names.
  * Update copyright info:
    + Extend coverage for autotools.
    + Extend coverage for upstream authors.
  * Update package relations:
    + Stop depend on x11-xserver-utils or (explicitly) on wpasupplicant.
    + Have python-jarabe-* and sugar-session-* depend on gir1.2-xkl-1.0
      (not sucrose-* depend on or sugar-session-* recommending it).
    + Have python-jarabe-* depend on metacity (not sugar-session-*), and
      relax to depend unversioned: Needed version satisfied even in
      oldstable.
    + Drop ancient transitional breaks+replaces.
    + Fix stop depend on gnome-keyring: Unused since sugar-0.98.
    + Drop binary package sugar-emulator-*, and have python-jarabe-* and
      sugar-session-* break virtual package sugar-emulator.
    + Stop install no longer shipped script sugar-session
    + Have sugar-tools-* depend on python-sugar3 (not
      python-sugar-toolkit-*).
  * Update, improve and unfuzz patches.
  * Stop install no longer shipped icon.
  * Fix hash-bang massaging to support future CDBS 0.5, and also cover
    sugar-tools-* (not only sugar-session-*).
    Have sugar-session-* and sugar-tools-* explicitly depend on python.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 Apr 2015 15:47:22 +0200

sugar-0.98 (0.98.8-2) unstable; urgency=medium


