=== debian/control ===
Source: sugar-0.104
Section: x11
Priority: optional
Maintainer: Debian Sugar Team <pkg-sugar-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Luke Faraone <luke@faraone.cc>,
 Santiago Ruano Rincón <santiago@debian.org>
DM-Upload-Allowed: yes
Build-Depends: cdbs (>= 0.4.97~),
 devscripts,
 python,
 debhelper,
 dh-buildinfo,
 libgtk-3-dev,
 libglib2.0-dev,
 python-gtk2-dev,
 libgconf2-dev,
 gettext,
 intltool,
 shared-mime-info,
 python-empy
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-sugar/sugar
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sugar/sugar.git
Homepage: http://wiki.sugarlabs.org/go/Sugar

Package: sucrose-0.104
Section: metapackages
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Provides: ${cdbs:Provides},
 ${python:Provides}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Description: Sugar graphical shell - Sucrose 0.104
 Sugar is a graphical user interface aimed at children.
 .
 Originating as integral part of the OLPC "XO" a.k.a. the $100 laptop,
 Sugar has since grown into a more widely usable low-ressource desktop
 environment for kids.
 .
 This package depends on all packages which make up Sucrose, the
 official base Sugar environment.

Package: sugar-session-0.104
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Provides: ${cdbs:Provides},
 ${python:Provides}
Breaks: ${cdbs:Breaks}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Description: Sugar graphical shell - window manager
 Sugar is a graphical user interface aimed at children.
 .
 Originating as integral part of the OLPC "XO" a.k.a. the $100 laptop,
 Sugar has since grown into a more widely usable low-ressource desktop
 environment for kids.
 .
 This package contains the integrated session and window manager Sugar.

Package: python-jarabe-0.104
Section: python
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Provides: ${cdbs:Provides},
 ${python:Provides}
Breaks: ${cdbs:Breaks}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Description: Sugar graphical shell - library
 Sugar is a graphical user interface aimed at children.
 .
 Originating as integral part of the OLPC "XO" a.k.a. the $100 laptop,
 Sugar has since grown into a more widely usable low-ressource desktop
 environment for kids.
 .
 This package contains Jarabe, the Sugar Graphical "Shell" Interface
 providing the shell-level operations for Sugar.  It interacts heavily
 with the Sugar UI libraries.
 .
 This is a "graphical" shell, the name does not refer to a command-line
 "shell" interface.
